<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dgtippag';
  	var  $tip_pag = '0';
	var  $desc_pag = '0';
	var  $cta_con_pag = '0';
	var  $tip_mv_pag = '0';
	var  $tip_aplica = '0';
	var  $pag_bancos = '0';
	var  $ini_pag = '0';
	var  $codigo = '0';
	
	//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE desc_pag like '$this->desc_pag'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (desc_pag,ini_pag,cta_con_pag, tip_mv_pag, tip_aplica, pag_bancos,acc_fec, acc_hor, usuario,codigo)values('$this->desc_pag','$this->ini_pag', '$this->cta_con_pag', '$this->tip_mv_pag', '$this->tip_aplica', '$this->pag_bancos', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$this->codigo')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($tip_pag){
		$sql= "SELECT * FROM $this->nom_tabla WHERE tip_pag = '$tip_pag'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($tip_pag){
		$sql = "UPDATE $this->nom_tabla SET cta_con_pag = '$this->cta_con_pag', tip_mv_pag = '$this->tip_mv_pag' , tip_aplica='$this->tip_aplica', pag_bancos='$this->pag_bancos', acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario='".$_SESSION['num_usu']."', codigo='$this->codigo' where tip_pag = '$tip_pag' ";
		
		$mov = mysqli_query($GLOBALS['con'] ,"insert into mov_res (tip_mov, catalogo, acc_fec, acc_hor, usuario)values('MO', 'PV21OOO', '".date('Y-m-d')."', '".date('H:i:s')."', '".$_SESSION['num_usu']."')");
	
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($tip_pag){   
		$sql = "UPDATE $this->nom_tabla SET cancelado='1' WHERE tip_pag = '$tip_pag'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>